import * as React from 'react'
import './App.less'
import Dashboard from './component/Dashboard'
class App extends React.Component {
	public state = {
		a: 60
	}
	public componentDidMount() {
		const that = this
		const interval = setInterval(() => {
			let b = this.state.a
			b += 2
			if (b > 360) {
				clearInterval(interval)
				return 
			}
			that.setState({
				a: b
			})
		}, 10)
	}
	public render():JSX.Element {
		const { a } = this.state
		return (
			<div className="App">
				<Dashboard width={300} height={300} radius={100} nowValue={a} allSize={720}/>
				<Dashboard width={300} height={300} radius={100} allSize={360} nowValue={a} minSpacing={1} counterclockwise = {true} align='bottom' type='semiSymmetric'/>
			</div>
		)
	}
}

export default App
